xMLzoom | R Documentation

## Function to visualise machine learning results using zoom plot

### Description

`xMLzoom` is supposed to visualise machine learning results using zoom plot. It returns an object of class "ggplot".

### Usage

    xMLzoom(xTarget, top = 20, top.label.type = c("box", "text"),
    top.label.size = 3, top.label.query = NULL, point.shape = 3,
    font.family = "sans", signature = TRUE)

### Arguments

`xTarget` | an object of class "sTarget" or "dTarget" (with the component 'pPerf')
`top` | the number of the top targets to be labelled/highlighted
`top.label.type` | how to label the top targets. It can be "box" drawing a box around the labels , and "text" for the text only
`top.label.size` | the highlight label size
`top.label.query` | which top genes in query will be labelled. By default, it sets to NULL meaning all top genes will be displayed. If labels in query can not be found, then none will be displayed
`point.shape` | an integer specifying point shapes. By default, it is 3 for cross. For details, please refere to http://sape.inf.usi.ch/quick-reference/ggplot2/shape
`font.family` | the font family for texts
`signature` | logical to indicate whether the signature is assigned to the plot caption. By default, it sets TRUE

### Value

an object of class "ggplot"

### Note

none

### See Also

`xMLrandomforest`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    gp <- xMLzoom(sTarget)
    gp

    ## End(Not run)